<?php

/**
 * 整个网站的Utility  Option Radio Checkbox 数组Config文件 Model
 * ============================================================================
 * zhuna_php 住哪网酒店分销联盟程序php版　BY Tmac PHP MVC framework
 * $Author: zhangwentao $  <zwttmac@qq.com>
 * $Id: UtilityConfig.class.php 7 2011-11-09 01:24:46Z zhangwentao $
 * http://un.zhuna.cn；
 */
class UtilityConfig extends Model
{

    /**
     * 文章中推荐
     * return Boole
     */
    public function state_radio_ary()
    {
        $rs = array('1' => '正常', '0' => '停止', '2' => '推荐', '3' => '图片推荐');
        return $rs;
    }

    /**
     * 广告类型
     */
    public function ad_type_radio_ary()
    {
        $rs = array('1' => '文字', '2' => '上传图片', '3' => 'Google百度等广告代码');
        return $rs;
    }

    /**
     * 广告状态
     */
    public function ad_state_radio_ary()
    {
        $rs = array('1' => '正常', '2' => '永久', '3' => '停止');
        return $rs;
    }

    /**
     * 友情链接类型
     */
    public function flink_type_radio_ary()
    {
        $rs = array('1' => '文字', '2' => '上传图片', '3' => '外部图片链接');
        return $rs;
    }

    /**
     * 系统配置参数变量类型
     */
    public function vartype_ary()
    {
        $rs = array('string' => '文本', 'select' => '下拉', 'radio' => '单选', 'bstring' => '多行文本');
        return $rs;
    }

    /**
     * 系统配置参数 接口地址
     */
    public function cfg_apiurl_ary()
    {
        $rs = array('http://cdn.api.zhuna.cn/api/utf-8/' => '智能:所有线路自动匹配', 'http://cnc.api.zhuna.cn/api/utf-8/' => '网通:所有网通负载均衡', 'http://tel.api.zhuna.cn/api/utf-8/' => '电信:所有电信负载均衡', 'http://un1.api.zhuna.cn/api/utf-8/' => '双线1:单机双线', 'http://un2.api.zhuna.cn/api/utf-8/' => '双线2:单机双线', 'http://un3.api.zhuna.cn/api/utf-8/' => '双线3:单机双线', 'http://un4.api.zhuna.cn/api/utf-8/' => '双线4:单机双线');
        return $rs;
    }

    /**
     * hotellist 酒店预定搜索价格范围
     */
    public function price_ary()
    {
        $rs = array('1-200' => '￥200元以下', '200-300' => '￥200-￥300', '300-400' => '￥300-￥400', '400-500' => '￥400-￥500', '500-3000' => '￥500元以上');
        return $rs;
    }

    /**
     * hotellist 酒店搜索星级档次
     */
    public function rank_ary()
    {
        $rs = array('2'=>'经济型', '3'=>'三星级', '4'=>'四星级', '5'=>'五星级');
        return $rs;
    }

}
